com.pivotal.gemfirexd.internal.client.am

## Class Cursor.ThreadContextObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - com.pivotal.gemfirexd.internal.client.am.Cursor.ThreadContextObjectInputStream

All Implemented Interfaces:
  Closeable, DataInput, ObjectInput, ObjectStreamConstants, AutoCloseable

Enclosing class:
  Cursor

    public static final class Cursor.ThreadContextObjectInputStream
    extends ObjectInputStream

allow using Thread context ClassLoader to load classes

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectInputStream

`ObjectInputStream.GetField`

### Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Constructor Summary

Constructors
`protected` `Cursor.ThreadContextObjectInputStream()`
`` `Cursor.ThreadContextObjectInputStream(InputStream in)`

### Method Summary

Methods
`protected Class` `resolveClass(ObjectStreamClass desc)`

### Methods inherited from class java.io.ObjectInputStream

`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

### Constructor Detail

#### Cursor.ThreadContextObjectInputStream

    protected Cursor.ThreadContextObjectInputStream()
                                             throws IOException,
                                                    SecurityException

Throws:
  `IOException`
  `SecurityException`

#### Cursor.ThreadContextObjectInputStream

    public Cursor.ThreadContextObjectInputStream(InputStream in)
                                          throws IOException

Throws:
  `IOException`

### Method Detail

#### resolveClass

    protected Class resolveClass(ObjectStreamClass desc)
                          throws IOException,
                                 ClassNotFoundException

Overrides:
  `resolveClass` in class `ObjectInputStream`
Throws:
  `IOException`
  `ClassNotFoundException`